Fedora 27 : php (2018-a89ccf7133)

High Nessus Plugin ID 107172

Synopsis

The remote Fedora host is missing a security update.

Description

**PHP version 7.1.15** (01 Mar 2018)

**Apache2Handler:**

- Fixed bug php#75882 (a simple way for segfaults in threadsafe php just with configuration). (Anatol)

**Date:**

- Fixed bug php#75857 (Timezone gets truncated when formatted). (carusogabriel)

- Fixed bug php#75928 (Argument 2 for `DateTimeZone::listIdentifiers()` should accept `null`).
(Pedro Lacerda)

- Fixed bug php#68406 (calling var_dump on a DateTimeZone object modifies it). (jhdxr)

**PGSQL:**

- Fixed php#75838 (Memory leak in pg_escape_bytea()).
(ard_1 at mail dot ru)

**ODBC:**

- Fixed bug php#73725 (Unable to retrieve value of varchar(max) type). (Anatol)

**LDAP:**

- Fixed bug php#49876 (Fix LDAP path lookup on 64-bit distros). (dzuelke)

**libxml2:**

- Fixed bug php#75871 (use pkg-config where available).
(pmmaga)

**Phar:**

- Fixed bug php#65414 (deal with leading slash when adding files correctly). (bishopb)

**SPL:**

- Fixed bug php#74519 (strange behavior of AppendIterator). (jhdxr)

**Standard:**

- Fixed bug php#75916 (DNS_CAA record results contain garbage). (Mike, Philip Sharp)

- Fixed bug php#75981 (stack-buffer-overflow while parsing HTTP response). (Stas)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora update system website.
Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected php package.

See Also

https://bodhi.fedoraproject.org/updates/FEDORA-2018-a89ccf7133

Plugin Details

Severity: High

ID: 107172

File Name: fedora_2018-a89ccf7133.nasl

Version: 1.6

Type: local

Agent: unix

Published: 2018/03/07

Modified: 2018/05/04

Dependencies: 12634

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSSv3

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:php, cpe:/o:fedoraproject:fedora:27

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2018/03/06

Reference Information

CVE: CVE-2018-7584